package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;

public class SkillArmor extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		player.setArmorMultiplier(1f + 0.05f * getLevel());
	}

	@Override
	public String getName() {
		return "Improved Armor";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Attack;
	}

	@Override
	public int getIcon() {
		return 4;
	}

	@Override
	public float getMaxColdown() {
		return 0;
	}
	
	@Override
	public String getDescription() {
		return "Increase damage reduction by (5 * level)%";
	}
}
